# Uses of Class
org.springframework.cglib.core.Block

Packages that use Block
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of Block in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return Block
Modifier and Type
Method
Description
`Block`
CodeEmitter.`begin_block()`
Methods in org.springframework.cglib.core with parameters of type Block
Modifier and Type
Method
Description
`void`
CodeEmitter.`catch_exception(Block block, Type exception)`
`static void`
EmitUtils.`wrap_throwable(Block block, Type wrapper)`
`static void`
EmitUtils.`wrap_undeclared_throwable(CodeEmitter e, Block handler, Type[] exceptions, Type wrapper)`